<!-- Content Header (Page header) -->
<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1>Mission Opportunities</h1>
      </div>
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a style="color: dodgerblue">Mission</a></li>
          <li class="breadcrumb-item active">Mission Opportunities</li>
        </ol>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>
<!--<div class="content" style="margin-top: -20px">-->

<!--  <button class="btn float-sm-right" style="margin-left: 2px"><div class="p-2 bd-highlight">-->
<!--    <select (change)="onTableSizeChange($event)" class="custom-select">-->
<!--      <option *ngFor="let size of tableSizes" [ngValue]="size">-->
<!--        {{ size }}-->
<!--      </option>-->
<!--    </select>-->
<!--  </div></button>-->
<!--  &lt;!&ndash;  <ul>&ndash;&gt;-->
<!--  &lt;!&ndash;    <li class=" nav nav-pills p-1  nav-item">&ndash;&gt;-->
<!--  &lt;!&ndash;      <a data-toggle="modal" data-target="#modal-default" class="nav-link rounded-pill note-link d-flex align-items-center px-2 px-md-3 mr-0 mr-md-2 active" id="all-category">&ndash;&gt;-->
<!--  &lt;!&ndash;        <i class="icon-layers mr-1"></i><span class="d-none d-md-block">New Broadcast Mission</span>&ndash;&gt;-->
<!--  &lt;!&ndash;      </a>&ndash;&gt;-->
<!--  &lt;!&ndash;    </li>&ndash;&gt;-->




<!--  &lt;!&ndash;  </ul>&ndash;&gt;-->


<!--  <div class="container table-responsive col-md-12" style="height: 420px">-->
<!--    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet">-->
<!--    <div class="page-content note-has-grid">-->

<!--      <div class="tab-content bg-transparent">-->
<!--        <div  class="note-has-grid row">-->

<!--          <div class="col-md-3 single-note-item all-category note-important"  *ngFor="let m of missions| paginate : {-->
<!--                itemsPerPage: tableSize,-->
<!--                currentPage: page,-->
<!--                totalItems: count-->
<!--              };-->
<!--        let i = index" [class.active]="i == currentIndex">-->
<!--            <div class="card card-body">-->
<!--              <span class="side-stick"></span>-->
<!--              <h3 class="note-title text-truncate w-75 mb-0" >{{m.title}}</h3>-->
<!--              <p class="note-date font-12 text-muted">{{m.date|date:'dd-MM-yyyy'}}</p>-->
<!--              <div class="note-content">-->
<!--                <p class="note-inner-content text-muted" >{{m.description|slice:0:32}} <a *ngIf="m.description.length>40">...</a></p>-->
<!--              </div>-->
<!--              <div class="d-flex align-items-center">-->

<!--                <div class="ml-auto">-->
<!--                  <div class="category-selector btn-group">-->
<!--                    <a class="nav-link dropdown-toggle category-dropdown label-group p-0" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="true">-->
<!--                      <div class="category">-->
<!--                        <div class="category-business"></div>-->
<!--                        <div class="category-social"></div>-->
<!--                        <div class="category-important"></div>-->
<!--                        <span class="more-options text-dark"><i class="icon-options-vertical"></i></span>-->
<!--                      </div>-->
<!--                    </a>-->
<!--                    <div class="dropdown-menu dropdown-menu-right category-menu">-->
<!--                      &lt;!&ndash;                  <i class="far fa-edit"[hidden]="!VerifyProp(m.clientemail)||m.rated||!isPending(m)||!isPendingProgress(m)"  [routerLink]="['/updatemission', m.id]"></i>&ndash;&gt;-->
<!--                      &lt;!&ndash;                  <i class="far fa-trash-alt" [hidden]="!VerifyProp(m.clientemail)||m.rated||!isPending(m)||!isPendingProgress(m)" (click)="openDialogD(m.id)" style="margin-left: 10px"></i>&ndash;&gt;-->
<!--                      &lt;!&ndash;                  <i class="fas fa-bars" (click)="openDialogDetails(m.id)" style="margin-left: 10px"></i>&ndash;&gt;-->
<!--                      &lt;!&ndash;                  <i class="far fa-file-alt" style="margin-left: 10px" [routerLink]="['/mymissionoffers', m.id]" ></i>&ndash;&gt;-->
<!--                      &lt;!&ndash;                  <button   class= "btn" (click)="openDialogRating(m.id)" [hidden]="!VerifyProp(m.clientemail)||m.rated" [disabled]="!isDone(m)" ><i class="far fa-star"></i></button>&ndash;&gt;-->

<!--                      <a  class="note-business badge-group-item badge-business dropdown-item position-relative category-social text-info" href="javascript:void(0);">-->
<!--                        <i class="far fa-edit"></i>-->
<!--                        Edit-->
<!--                      </a>-->

<!--                    </div>-->
<!--                  </div>-->
<!--                </div>-->
<!--              </div>-->
<!--            </div>-->
<!--          </div>-->

<!--        </div>-->
<!--      </div>-->


<!--    </div>-->
<!--  </div>&lt;!&ndash; /.card &ndash;&gt;-->
<!--  <div class="d-flex justify-content-center">-->
<!--    <pagination-controls-->
<!--      responsive="true"-->
<!--      previousLabel="Prev"-->
<!--      nextLabel="Next"-->
<!--      (pageChange)="onTableDataChange($event)">-->
<!--    </pagination-controls>-->
<!--  </div>-->
<!--  <div class="modal fade" id="modal-default">-->
<!--    <div class="modal-dialog">-->
<!--      <div class="modal-content">-->

<!--        <div class="modal-body">-->

<!--          <app-addmission></app-addmission>-->
<!--        </div>-->

<!--      </div>-->
<!--      &lt;!&ndash; /.modal-content &ndash;&gt;-->
<!--    </div>-->
<!--    &lt;!&ndash; /.modal-dialog &ndash;&gt;-->
<!--  </div>-->

<!--</div>-->
<div class="col-md-12">


  <!-- Main content -->
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-md-12">
          <div class="card card-primary">
            <div class="card-header" >
              <h3 class="card-title">Mission Opportunities

              </h3>

            </div>
            <div class="card-body">
              <button type="button" *ngIf="missions.length<0" class="btn btn-warning col-md-12 swalDefaultSuccess">
                No mission opportunities found
              </button>
              <div *ngIf="missions.length>0" class="table-responsive p-0" style="height: 328px;" >
                <table class="table table-head-fixed text-nowrap" style="align-content: center">
                  <thead>
                  <tr>

                    <th>Title</th>
<!--                    <th>Price</th>-->
                    <th style="width: 40px">Date</th>
                    <th style="width: 40px">Expiration Date</th>
                    <th>Action </th>
                  </tr>
                  </thead>

                  <tbody>
                  <tr *ngFor="let m of missions">

                    <td>{{m.title}}</td>
<!--                    <td>{{m.price}} dt</td>-->
                    <td>{{m.date|date:'dd-MM-yyyy'}}</td>
<!--                    <td>{{m.expiredate|date:'dd-MM-yyyy hh:mm'}}</td>-->
                    <td> <cd-timer *ngIf="dateToSecondB(m.date)-dateToSecond(m.date)>0" [startTime]="dateToSecondB(m.date)-dateToSecond(m.date)"    [countdown]="true" format="default"></cd-timer></td>
                    <span *ngIf="dateToSecondB(m.date)-dateToSecond(m.date)<0"class="badge bg-warning" style="margin-left: 4px">Expired</span>
                     <td>
                      <!--                        data-toggle="modal" data-target="#modal-default"-->
                      <!--                        <i [routerLink]="['/updatemission', m.id]"  class="far fa-eye"></i>
                                                  (click)="openDialog(m.id)"
                                                  (click)="deleteMission(m.id)"
                                                  [routerLink]="['/updatemission', m.id]"-->
<!--                      <button  class= "btn btn-success fas fa-check-circle" (click)="ApplyForMission(m.id)" [disabled]="hasApplied(m)"> Apply</button>-->
<!--                      <button   class= "btn" (click)="ApplyForMission(m.id)" [disabled]="hasApplied(m)" ><i class="fas fa-check"></i></button>-->

<!--                      <i class="fas fa-check" style="margin-left: 10px" (click)="ApplyForMission(m.id)" [hidden]="hasApplied(m)"></i>-->
                      <i class="fas fa-check" *ngIf="dateToSecondB(m.date)-dateToSecond(m.date)>0" style="margin-left: 10px" title="Apply for this Mission" (click)="openDialogMakeOffer(m.id)" [hidden]="hasApplied(m)"></i>

                      <i class="fas fa-check" *ngIf="dateToSecondB(m.date)-dateToSecond(m.date)>0" style="margin-left: 10px;color: #00e765" title="Cancel Offer" (click)="CancelOffer(m.id)" [hidden]="!hasApplied(m)"></i>

                      <i class="fas fa-user-times" *ngIf="dateToSecondB(m.date)-dateToSecond(m.date)>0" style="margin-left: 10px" title="Reject This Mission" (click)="RejectMission(m.id,AvatarEmail)"></i>
                      <i class="fas fa-info-circle" style="margin-left: 10px" title="Mission Details" (click)="openDialogDetails(m.id)"></i>
                      <!--               [routerLink]="['/missiondetails', m.id]"       <button  class= "btn btn-success fas fa-check-circle" (click)="AcceptMission(m.id,AvatarEmail)"> ACCEPT</button>-->
<!--                      <button   class= "btn btn-danger " (click)="RejectMission(m.id,AvatarEmail)" style="margin-left: 10px"><i class="fas fa-user-times"></i>DECLINE</button>-->
<!--                      <button   class= "btn btn-default" [routerLink]="['/missiondetails', m.id]" style="margin-left: 10px"><i class="fas fa-info-circle"></i>DETAILS</button>-->
                      <!--                  <i class="fas fa-comment-alt" (click)="openDialogD(m.id)" ></i>-->
                      <!--                  <div class="modal fade" id="modal-update">-->
                      <!--                    <div class="modal-dialog">-->
                      <!--                      <div class="modal-content">-->


                      <!--                        <div class="modal-body">-->

                      <!--                          <app-updatemission ></app-updatemission>-->
                      <!--                        </div>-->

                      <!--                      </div>-->
                      <!--                      &lt;!&ndash; /.modal-content &ndash;&gt;-->
                      <!--                    </div>-->
                      <!--                    &lt;!&ndash; /.modal-dialog &ndash;&gt;-->
                      <!--                  </div>-->

                    </td>

                  </tr>

                  </tbody>

                </table>

              </div>
            </div>
            <!-- /.card -->
          </div>






        </div>
        <!-- /.col -->
      </div>
      <!-- ./row -->
    </div><!-- /.container-fluid -->




  </section>




</div>
